////////////////////////////////////////////////////////////////////////////////
// Name:        mybtn.cpp (generated and maintained by wxWorkshop's RAD)
// Purpose:     
// Author:      
// Modified by:
// Created:     02/19/01 07:18:58
// RCS-ID:      $ Id$
// Copyright:   (c) 
// Licence:   	
//////////////////////////////////////////////////////////////////////////////////

// %%INFO-{
// { TEMPL = "wxButton for C++" WND_RES = "just_button" MENU_RES = "" DECL_FILE = "mybtn.h" CLASS = "MyButton" RES_FILE = "demo.xrc" }
// %%INFO-}

#ifdef __GNUG__
    #pragma implementation "mybtn.cpp"
    #pragma interface "mybtn.h"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "mybtn.h"
#include "wx/xml/xmlres.h"
#include "wx/wspp/init.h"



/***** Implementation for class MyButton *****/

IMPLEMENT_DYNAMIC_CLASS( MyButton, wxButton )

BEGIN_EVENT_TABLE( MyButton, wxButton )

// %%EVT_TBL-{
	EVT_INIT_DIALOG( MyButton::OnInitDialog )
	EVT_PAINT( MyButton::OnPaint )
// %%EVT_TBL-}

END_EVENT_TABLE()

MyButton::MyButton()

	: wxButton()
{
}

MyButton::~MyButton()
{
}

// %%EVT_IMPS-{
void MyButton::OnInitDialog( wxInitDialogEvent& event )
{
	DoInit();
}

void MyButton::OnPaint( wxPaintEvent& event )
{
}
// %%EVT_IMPS-}

// %%GETTER_IMPLS-{
// %%GETTER_IMPLS-}

// %%SETTER_IMPLS-{
// %%SETTER_IMPLS-}

void MyButton::ExchangeValues( bool toControls )
{
	if ( toControls )
	{
	// %%MEMBER_VALUES_TO_CTL-{
	// %%MEMBER_VALUES_TO_CTL-}
	}
	else
	{
	// %%CTL_VALUES_TO_MEMBER-{
	// %%CTL_VALUES_TO_MEMBER-}
	}
}

/*** protected members ***/

void MyButton::DoInit()
{
	// %%MEMBER_INITS-{
	// %%MEMBER_INITS-}

	// %%CTL_MEMBER_INITS-{
	// %%CTL_MEMBER_INITS-}
	
	ExchangeValues( TRUE );	
}

